html, body {
            margin: 0;
            padding: 0;
            height: 100%;
        }

      
        body {
            display: flex;
            justify-content: center; 
            align-items: center;    
            background-color: #1a1a1a; 
            font-family: serif;
			
			background-image: url('foto/newsletter.png'); /* Carica la tua foto */
			background-position: center;         /* Centra l'immagine nello schermo */
			background-repeat: no-repeat;        /* Impedisce all'immagine di ripetersi a mosaico */
			background-size: cover;              /* Forza la foto a coprire tutto lo schermo senza deformarsi */
			background-attachment: fixed;
			
        }
		
	
.bottone {
  position: relative;
  display: inline-block;
  margin-top: 25px;           
  padding: 15px 30px;
  border: 2px solid orange;    
  text-transform: uppercase;
  color: orange;               
  text-decoration: none;
  font-weight: 600;
  font-size: 1.1rem;
}


.bottone::before {
  content: '';
  position: absolute;
  top: 6px;
  left: -2px;
  width: calc(100% + 4px);
  height: calc(100% - 12px);
  background-color: #1a1a1a;   
  transition: 0.3s ease-in-out;
  transform: scaleY(1);
}

.bottone:hover::before {
  transform: scaleY(0);
  background-color: transparent;
}


.bottone::after {
  content: '';
  position: absolute;
  left: 6px;
  top: -2px;
  height: calc(100% + 4px);
  width: calc(100% - 12px);
  background-color: #1a1a1a;   
  transition: 0.3s ease-in-out;
  transform: scaleX(1);
  transition-delay: 0.5s;
}

.bottone:hover::after {
  transform: scaleX(0);
  background-color: transparent;
}


.bottone span {
  position: relative;
  z-index: 3;
}